#67 cvs build cal3d fails on @all_libraries@

open
nobody
None
5
2006-02-22
2006-02-22
picobyte
No

Building cal3d from CVS failed; the error cascade
started with:

g++ -shared -nostdlib
/usr/lib/gcc/i486-slackware-linux/3.4.5/../../../crti.o
/usr/lib/gcc/i486-slackware-linux/3.4.5/crtbeginS.o
.libs/animation.o .libs/animation_action.o
.libs/animation_cycle.o .libs/bone.o
.libs/buffersource.o .libs/cal3d_wrapper.o
.libs/coreanimation.o .libs/corebone.o
.libs/corematerial.o .libs/coremesh.o .libs/coremodel.o
.libs/coreskeleton.o .libs/coresubmesh.o
.libs/coresubmorphtarget.o .libs/error.o .libs/global.o
.libs/hardwaremodel.o .libs/loader.o .libs/matrix.o
.libs/mesh.o .libs/mixer.o .libs/model.o
.libs/morphtargetmixer.o .libs/physique.o
.libs/platform.o .libs/quaternion.o .libs/renderer.o
.libs/saver.o .libs/skeleton.o .libs/springsystem.o
.libs/streamsource.o .libs/submesh.o .libs/vector.o
.libs/tinyxml.o .libs/tinyxmlerror.o
.libs/tinyxmlparser.o .libs/coremorphanimation.o
-L/usr/lib/gcc/i486-slackware-linux/3.4.5
-L/usr/lib/gcc/i486-slackware-linux/3.4.5/../../../../i486-slackware-linux/lib
-L/usr/lib/gcc/i486-slackware-linux/3.4.5/../../..
/usr/lib/libstdc++.so -L/usr/i486-slackware-linux/bin
-L/usr/i486-slackware-linux/lib
-L/usr/lib/gcc/i486-slackware-linux/../../../i486-slackware-linux/lib
-L/usr/lib/gcc/i486-slackware-linux/../.. -lm -lc
-lgcc_s
/usr/lib/gcc/i486-slackware-linux/3.4.5/crtendS.o
/usr/lib/gcc/i486-slackware-linux/3.4.5/../../../crtn.o
@all_libraries@ -Wl,-soname -Wl,libcal3d.so.11 -o
.libs/libcal3d.so.11.0.0
g++: @all_libraries@: No such file or directory

while browsing for others with a similar problem I
found this page, describing the same error:
http://news.vejas.lt/article.php?id=2365&group=gmane.os.netbsd.devel.pkgsrc.bulk#2365

Discussion

  • picobyte
    picobyte
    2006-02-22

    Logged In: YES
    user_id=1449118

    It was cal3d cvs with the date: "2005-10-06 00:00:00"

     
  • picobyte
    picobyte
    2006-02-22

    Logged In: YES
    user_id=1449118

    it seems that cal3d is not compatible with libtool-1.5.22,
    this patch should solve it:
    http://bugs.gentoo.org/attachment.cgi?id=78216